Differences

This shows you the differences between the selected revision and the current version of the page.

at:download 2018/04/13 00:31 at:download 2020/02/10 13:59 current
Line 14: Line 14:
</a></font> </html></box> </a></font> </html></box>
-== Download AmbientTalk Distribution == 
-If you are interested in downloading the AmbientTalk distribution and run it via command line: 
-<box 80% round blue><html><center style="clear:both;"><font size="+1"><a href="https://drive.google.com/open?id=0B07Ew8FJun94WlpKV0NnUEFZc0k">Download AmbientTalk 2.22 + 
 +==== Download the AmbientTalk Distribution ==== 
 + 
 +If you are interested in downloading a stand-alone version of the AmbientTalk/2 interpreter and run it via command line: 
 + 
 +<box 80% round blue><html><center style="clear:both;"><font size="+1"><a href="https://drive.google.com/drive/folders/0B07Ew8FJun94MVJrTHlBWlJfeFE">Download AmbientTalk 2.23
</a></font> </html></box> </a></font> </html></box>
Line 49: Line 52:
== Requirements == == Requirements ==
-The AmbientTalk/2 interpreter is written in pure Java and requires a regular J2SE Java Virtual Machine supporting version 1.5 or higher. AmbientTalk currently runs on Android 1.6 and on J2ME under a CDC/Personal Profile configuration.+The AmbientTalk/2 interpreter is written in pure Java and requires a regular J2SE Java Virtual Machine supporting version 1.5 or higher. AmbientTalk currently runs on Android version 1.6 or higher, and on J2ME under a CDC/Personal Profile configuration.
<box 80% round blue><html><center><font size="+1"><div><a  href="https://market.android.com/details?id=edu.vub.at.android.interpreter">Download AmbientTalk for <box 80% round blue><html><center><font size="+1"><div><a  href="https://market.android.com/details?id=edu.vub.at.android.interpreter">Download AmbientTalk for
Line 56: Line 59:
[[at:amophtc|Additional instructions]] on how to run AmbientTalk on J2ME. [[at:amophtc|Additional instructions]] on how to run AmbientTalk on J2ME.
-== IDE Support == 
-We recommend using our Intellij IDEA plugin which already contains the ambientTalk/2 interpreter.+ 
 + 
 +==== IDE Support ==== 
 + 
 +We recommend using our Intellij IDEA plugin which already contains the AmbientTalk/2 interpreter and the AmbientTalk standard library (atlib).
<box 70% round orange><html><center><img src="http://soft.vub.ac.be/amop/_media/at/intellij_idea.png" style="vertical-align:middle" height="90px"/><font size="+1"><a style="margin-left: 1em" href="https://plugins.jetbrains.com/plugin/8884-ambienttalk-ide">Install Intellij Plugin</a></font></center></html></box> <box 70% round orange><html><center><img src="http://soft.vub.ac.be/amop/_media/at/intellij_idea.png" style="vertical-align:middle" height="90px"/><font size="+1"><a style="margin-left: 1em" href="https://plugins.jetbrains.com/plugin/8884-ambienttalk-ide">Install Intellij Plugin</a></font></center></html></box>
Line 76: Line 82:
For a full overview of the supported features, open the Bundles > Bundle Editor > Show Bundle Editor menu and select the AmbientTalk 2 bundle in the bundle editor. All available actions, together with their hotkey are listed there. For a full overview of the supported features, open the Bundles > Bundle Editor > Show Bundle Editor menu and select the AmbientTalk 2 bundle in the bundle editor. All available actions, together with their hotkey are listed there.
-== Documentation ==+==== Documentation ====
See the [[at:tutorial:tutorial|tutorial]] for an introduction to AmbientTalk/2. An overview of the available primitives and libraries is available in the [[at:reference:reference|language reference]]. See the [[at:tutorial:tutorial|tutorial]] for an introduction to AmbientTalk/2. An overview of the available primitives and libraries is available in the [[at:reference:reference|language reference]].
 
 
 
Recent changes RSS feed Creative Commons License Donate Powered by PHP Valid XHTML 1.0 Valid CSS Driven by DokuWiki